---
title: Page deletion
slug: MDN/Tools/Page_deletion
tags:
  - Guide
  - MDN Meta
  - Page-level
  - Tools
---
<div>{{MDNSidebar}}</div>

<p>Deleting pages completely from MDN is a relatively rare occurrence. The most common reasons are pages that were created for spam or by mistake. Pages that have had a useful life, but describe technology that has become obsolete are archived by being moved to the /Archive section of MDN, rather than being deleted.</p>

<h2 id="Requesting_page_deletion">Requesting page deletion</h2>

<p><span class="seoSummary">Only MDN <a href="/en-US/docs/MDN/Community/Roles/Admins">administrators</a> are able to delete pages. As a non-admin user, you can request that a page be deleted.</span></p>

<p>To arrange for a page to be deleted, do the following:</p>

<ol>
 <li><strong>Do not erase or change the page content.</strong> We want to have the record of the page as it was at deletion time.</li>
 <li>Add the tag "Junk" to the page. Do not remove other tags.</li>
 <li>If the page is particularly urgently in need of deletion (for example, its content is inappropriate, offensive, or technically dangerous), <a href="mailto:mdn-admins@mozilla.org" title="Notify an administrator">notify an MDN administrator</a>.</li>
</ol>

<p>An administrator will delete the page when possible, after confirming that deletion is appropriate.</p>

<h2 id="How_to_delete_a_page">How to delete a page</h2>

<p>Administrators who have decided to delete a page, do the following:</p>

<ol>
 <li>Open  the <strong>Advanced</strong> menu, near the top-right corner of the page you want to delete.</li>
 <li>Click <strong>Delete this page</strong>. The "Delete document" screen appears, which looks like this:<br>
  <br>
  This shows the title of the page you have selected to delete, along with some metadata about it.</li>
 <li>Enter an appropriate reason in the <strong>Reason</strong> field, such as "Spam" or "Junk" or "Created by mistake".</li>
 <li>Click the <strong>Delete</strong> button. The "Document Deleted" screen appears, which will also be shown if anyone follows a link to this page. (Unprivileged users do not see the <strong>Restore this document</strong> button.)</li>
</ol>

<h2 id="Restricted_access">Restricted access</h2>

<p>Because of the destructive potential of the page deletion tool, access to it requires elevated privileges.</p>

<h3 id="Roles_that_have_this_permission">Roles that have this permission</h3>

<ul>
 <li><a href="/en-US/docs/MDN/Contribute/Admins"><strong>Admins</strong></a></li>
</ul>

<h3 id="Conditions_for_gaining_this_permission">Conditions for gaining this permission</h3>

<p>You can obtain access to this tool if you meet the following conditions:</p>

<ul>
 <li>You have a <strong>regular</strong> need for it (for example, if you frequently need to deal with spam or erroneous pages). If you only occasionally need to delete pages, just ask an admin to do it.</li>
 <li>You edit MDN frequently and have a track record of constructive contributions.</li>
</ul>

<p>See <a href="/en-US/docs/MDN/Contribute/Processes/Requesting_elevated_privileges">Requesting elevated privileges</a> for the process for gaining this privilege.</p>
